﻿/* ===== ПОДКЛЮЧЕНИЕ ШРИФТА ===== */
@font-face {
    font-family: 'RazerF5-Regular';
    src: url('./fonts/RazerF5/dehinted-RazerF5-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

html, body {
    height: 100%;
    margin: 0;
}

body {
    margin: 0;
    font-family: 'RazerF5-Regular', Arial, sans-serif;
    background: url('bg.png') no-repeat center center;
    background-size: cover;
    color: #eee;
    display: flex;
    flex-direction: column;
}

/* ===== ШАПКА ===== */

.topbar {
    height: 48px;
    width: 100%;
    background: #01010188;
    backdrop-filter: blur(4px);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 64px;
    box-sizing: border-box;
    position: sticky;
    top: 0;
}

.title {
    font-size: 20px;
    user-select: none;
}

/* ===== КНОПКА ===== */

.launcher-btn {
    display: inline-block;
    height: 36px;
    padding: 0 12px;
    line-height: 36px;
    background-color: #FFC020;
    color: #000;
    text-decoration: none;
    border-radius: 16px;
    font-weight: bold;
    transition: background-color 0.1s;
}

.launcher-btn:hover {
    background: #E0A018;
}

.launcher-btn:active {
    background: #C08010;
}

/* ===== ПОДВАЛ ===== */

footer {
    height: 192px;
    width: 100%;
    background: #01010188;
    backdrop-filter: blur(32px);
    padding: 32px 64px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: #ccc;
    font-size: 20px;
}

/* ===== ОСТАЛЬНЫЕ ОБЛАСТИ ===== */

main {
    flex: 1;
    padding: 20px;
}
